#!/usr/bin/perl

######################################################################
package Cognition::DocModel::Table;
######################################################################

use Cognition::DocModel::Node;

sub uri         { Cognition::DocModel::Node::uri(@_); }

sub rdf_subject
{
	my $subj = Cognition::DocModel::Node::rdf_subject(@_);
	$subj->addVal('http://www.w3.org/1999/02/22-rdf-syntax-ns#type',
		Cognition::RDFModel::Value->new('http://purl.org/dc/dcmitype/Dataset', 1));
	return $subj;
}

sub metadata_ns { Cognition::DocModel::Node::metadata_ns(@_); }


1; #/package Cognition::DocModel::Table



